<%--
  The contents of this file are subject to the terms
  of the Common Development and Distribution License
  (the License).  You may not use this file except in
  compliance with the License.
 
  You can obtain a copy of the license at
  http://www.sun.com/cddl/cddl.html or
  at portlet-repository/CDDLv1.0.txt.
  See the License for the specific language governing
  permissions and limitations under the License.
 
  When distributing Covered Code, include this CDDL
  Header Notice in each file and include the License file
  at portlet-repository/CDDLv1.0.txt.
  If applicable, add the following below the CDDL Header,
  with the fields enclosed by brackets [] replaced by
  you own identifying information:
  "Portions Copyrighted [year] [name of copyright owner]"
 
  Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 --%>

<%@ page import="javax.portlet.RenderRequest" %>
<%@ page import="javax.portlet.RenderResponse" %>
<%@ page import="javax.portlet.PortletPreferences" %>
<%@ page import="javax.portlet.PortletURL" %>
<%@ page import="com.sun.portal.iframeportlet.FormNames" %>
<%@ page session="false" %>

<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>

<portlet:defineObjects/>
<portlet:actionURL var="actionURL"/>
<fmt:setBundle basename="IFramePortlet"/>

<%
    RenderRequest pReq = (RenderRequest)request.getAttribute("javax.portlet.request");
    RenderResponse rRes = (RenderResponse)request.getAttribute("javax.portlet.response");
    PortletPreferences pref = pReq.getPreferences();
    String error = pReq.getParameter(FormNames.ERROR_MISSING_URL);
%>


    <!-- START title bar -->
    <table style="width: 100%">
        <tr>
            <td colspan="2">
                <div style="font-weight: bold; font-size: larger; left: 8px">
                    <fmt:message key="customizeTitle" />
                </div>
            </td>
        </tr>
        <tr><td>&nbsp;</td></tr>
    </table>
    <!-- END title bar -->
                
    <!-- START error -->
<%
    if (error != null) {
%>      
      <div class="portlet-msg-error" style="color: red">
          <fmt:message key="error_missing_url"/>              
      </div>     
      <br>
<%
        }
%>

    <form name="inputForm" target="_self" method="POST" action="<%=actionURL.toString()%>">
        <table border="0" style="align: center">

            <!-- START "url" text box -->
            <tr>
                <td style="text-align: right; vertical-align: top">
                    <div class="portlet-form-field-label">
                        <fmt:message key="url" />
                    </div>
                </td>
                <td style="text-align: left; vertical-align: top">
                    <input class="portlet-form-input-field" name="<%=FormNames.TEXTBOX_URL%>" value="<%=pref.getValue("url","")%>" type="text" size="30">
                </td>
            </tr>
                     
            <!-- START "finished" and "cancel" buttons -->
            <tr>
                <td colspan="2" style="text-align: center; vertical-align: top">
                    <input class="portlet-form-button" name="<%=FormNames.SUBMIT_FINISHED%>" type="submit" value="<fmt:message key="finished"/>"/>
                    <input class="portlet-form-button" name="<%=FormNames.SUBMIT_CANCEL%>" type="submit" value="<fmt:message key="cancel"/>"/>
                </td>
            </tr>
        </table>
        <!-- END "finished" and "cancel" buttons -->
    </form>

